Package com.pixelmed.dicom

# Class UnPackBits

java.lang.Object
com.pixelmed.dicom.UnPackBits

public class UnPackBits extends Object

## Constructor Summary

Constructors
Constructor
Description
`UnPackBits()`

## Method Summary

Modifier and Type
Method
Description
`static final byte[]`
`decode(byte[] src)`
`static final ByteArrayOutputStream`
`decode(InputStream i)`
`static final int`
`decode(InputStream i, byte[] dst, int offset, int n)`
`static final int`
`decode(InputStream i, OutputStream o, int n)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnPackBits

public UnPackBits()

## Method Details

### decode

public static final int decode(InputStream i, OutputStream o, int n) throws IOException

Throws:
  `IOException`

### decode

public static final ByteArrayOutputStream decode(InputStream i) throws IOException

Throws:
  `IOException`

### decode

public static final byte[] decode(byte[] src) throws IOException

Throws:
  `IOException`

### decode

public static final int decode(InputStream i, byte[] dst, int offset, int n) throws IOException

Throws:
  `IOException`